#include<iostream.h> 
#include<math.h> 
 int main()                                                  
{
 int a,b,c,d;
 cin>>a;
 b=a/100;
 c=a/10%10;
 d=a%10;
 if(a==pow(b,3)+pow(c,3)+pow(d,3))
  cout<<a<<"是水仙花数"<<endl;
 else
  cout<<a<<"不是水仙花数"<<endl;
 return(0);
}
